{combine_script id='piwecard' load="footer" path='plugins/Piwecard/js/piwecard.js'}

{footer_script require="piwecard"}
{literal}
$(document).ready(function(){
	if ($("#ecard_email_format_text").prop('checked') == true) {
		$("#ecard_form_line_default_text").css("display","inline");
	} else {
		$("#ecard_form_line_default_text").css("display","none");
	}
	if ($("#ecard_email_format_html").prop('checked') == true) {
		$("#ecard_form_line_default_html").css("display","inline");
	} else {
		$("#ecard_form_line_default_html").css("display","none");
	}

	$("#ECardAdminConfiguration").click(function(){
		if ($("#ecard_email_format_text").prop('checked') == true) {
			$("#ecard_form_line_default_text").css("display","inline");
		} else {
			$("#ecard_form_line_default_text").css("display","none");
			$("#ecard_email_format_default_html").prop('checked', true);
		}
		if ($("#ecard_email_format_html").prop('checked') == true) {
			$("#ecard_form_line_default_html").css("display","inline");
		} else {
			$("#ecard_form_line_default_html").css("display","none");
			$("#ecard_email_format_default_text").prop('checked', true);
		}
	});
});

function piwecard_checkForm(form) {
	var guestEmailOK;
	if (form.ecard_default_guest_email.value == '')
		guestEmailOK = true;
	else
		guestEmailOK = piwecard_checkField(form.ecard_default_guest_email, 1);
	var subjectOK = piwecard_checkField(form.ecard_email_subject, 0);
	var messageTextOK = piwecard_checkField(form.ecard_email_message_text, 0);
	var messageHTMLOK = piwecard_checkField(form.ecard_email_message_html, 0);
	
	if(guestEmailOK && subjectOK && messageTextOK && messageHTMLOK)
		return true;
	else
		return false;
}
{/literal}
{/footer_script}

<div class="titrePage">
  <h2>{'piwecard_plugin'|@translate}</h2>
</div>
<div id="ECardAdminConfiguration">
	<form method="post" onsubmit="return piwecard_checkForm(this);">
		<fieldset>
			<legend>{'piwecard_configuration'|@translate}</legend>
			<div class="ecard_form_line">
				{'piwecard_validity_default'|@translate}
				<select id="ecard_validity_default" name="ecard_validity_default">
					{foreach from=$ecard_validity item=ecard_validity}
						<option value="{$ecard_validity.id}" {$ecard_validity.selected}>{$ecard_validity.name}</option>
					{/foreach}
				</select>
			</div>
			<div class="ecard_form_line">
				<input type="checkbox" name="ecard_show_image_infos" id="ecard_show_image_infos" {$ecard_show_image_infos} value="1" /><label for="ecard_show_image_infos"> {'piwecard_show_image_infos'|@translate}</label>
			</div>
			<div class="ecard_form_line">
				<div>
					{'piwecard_ecard_derivative'|@translate}
				</div>
				{foreach from=$generate_derivatives_types key=type item=item}
					<label><input type="radio" name="ecard_image_size" value="{$type}" {$item.selected}/> {$item.name}</label>
				{/foreach}
			</div>
		</fieldset>

		<fieldset>
			<legend>{'piwecard_email_configuration'|@translate}</legend>
			<div class="ecard_form_line">
				<input type="checkbox" name="ecard_sender_copy" id="ecard_sender_copy" {$ecard_sender_copy}/><label for="ecard_sender_copy"> {'piwecard_sender_copy'|@translate}</label>
			</div>
			<div class="ecard_form_line">
				<input type="checkbox" name="ecard_sender_email_change" id="ecard_sender_email_change" {$ecard_sender_email_change}/><label for="ecard_sender_email_change"> {'piwecard_sender_email_change'|@translate}</label>
			</div>
			<div class="ecard_form_line">
				<div>
					{'piwecard_email_format'|@translate}
				</div>
				<div>
					{foreach from=$ecard_email_format item=ecard_email_format}
						<span><input type="checkbox" name="ecard_email_format[{$ecard_email_format.id}]" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}/><label for="ecard_email_format_{$ecard_email_format.id}"> {$ecard_email_format.language_string|@translate}</label></span>
					{/foreach}
				</div>
				<div>
					{'piwecard_email_format_default'|@translate}
				</div>
				<div>
					{foreach from=$ecard_email_format_default item=ecard_email_format_default}
						<span id="ecard_form_line_default_{$ecard_email_format_default.id}"><input type="radio" name="ecard_email_format_default" id="ecard_email_format_default_{$ecard_email_format_default.id}" value="{$ecard_email_format_default.id}" {$ecard_email_format_default.selected_default}/><label for="ecard_email_format_default_{$ecard_email_format_default.id}"> {$ecard_email_format_default.language_string|@translate}</label></span>
					{/foreach}
					<span class="ecard_error" id="ecard_email_format_default_error" style="{$piwecard_errors.email_format_default.style_error_text}">{'piwecard_error'|@translate} {'piwecard_email_format_default_error'|@translate}</span>
				</div>
			</div>
			<div class="ecard_form_line ecard_email_config">
				<label for="ecard_default_guest_email">{'piwecard_default_guest_email'|@translate}</label><span class="ecard_error" id="ecard_default_guest_email_error" style="{$ecard_errors.default_guest_email.style_error_text}">{'piwecard_error'|@translate} {'piwecard_error_email'|@translate}</span>
				<input type="text" maxlength="50" name="ecard_default_guest_email" id="ecard_default_guest_email" {$ecard_errors.default_guest_email.style_error_input} value="{$ecard_default_guest_email}" onblur="piwecard_checkField(this, 1);" />
			</div>
			<div class="ecard_form_line ecard_email_config">
				<label for="ecard_email_subject">{'piwecard_email_subject'|@translate}</label><span class="ecard_error" id="ecard_email_subject_error" style="{$ecard_errors.email_subject.style_error_text}">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</span>
				<input type="text" maxlength="255" name="ecard_email_subject" id="ecard_email_subject" {$ecard_errors.email_subject.style_error_input} value="{$ecard_email_subject}" />
			</div>
			<div class="ecard_form_line ecard_email_config">
				<label for="ecard_email_message_text">{'piwecard_email_message_text'|@translate}</label><span class="ecard_error" id="ecard_email_message_text_error" style="{$ecard_errors.email_message.text.style_error_text}">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</span>
				<textarea name="ecard_email_message_text" id="ecard_email_message_text" {$ecard_errors.email_message.text.style_error_input}>{$ecard_email_message_text}</textarea>
			</div>
			<div class="ecard_form_line ecard_email_config">
				<label for="ecard_email_message_html">{'piwecard_email_message_html'|@translate}</label><span class="ecard_error" id="ecard_email_message_html_error" style="{$ecard_errors.email_message.html.style_error_text}">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</span>
				<textarea name="ecard_email_message_html" id="ecard_email_message_html" {$ecard_errors.email_message.html.style_error_input}>{$ecard_email_message_html}</textarea>
			</div>
			<div id="ecard_form_line ecard_parameters_description">
				<div id="ecard_form_line">
					{'Parameters'|@translate}<br />
				</div>
				<div id="ecard_form_line">
					<span class="ecard_parameters_description_parameter">%yourname% : </span><span class="ecard_parameters_description_text">{'piwecard_sender_name'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%youremail% : </span><span class="ecard_parameters_description_text">{'piwecard_sender_email'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%recipientname% : </span><span class="ecard_parameters_description_text">{'piwecard_recipient_name'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%recipientemail% : </span><span class="ecard_parameters_description_text">{'piwecard_recipient_email'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%website% : </span><span class="ecard_parameters_description_text">{'Gallery title'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%websiteurl% : </span><span class="ecard_parameters_description_text">{'piwecard_website_url'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%ecardurl% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_url'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%ecardsubject% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_subject'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%ecardmessage% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_message'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%pictureurl% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_image_url'|@translate}</span><br />
					<span class="ecard_parameters_description_parameter">%pictureinfos% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_image_infos'|@translate}</span>
				</div>
			</div>
		</fieldset>
		<div id="ecard_submit">
			<input type="submit" name="submit" value="{'Submit'|@translate}" />
		</div>
	</form>
</div>